#include <Operation_Layer/Lamp/HMI_LAMP.h>
#include "Global_Variable.h"
#include "can.h"
#include "board.h"


void Lamp_HMI1_CMD(int x)
{
	switch(x)
	{
		case 0:
			GV_HMI1_LAMP = 0;
			break;
		case 1:
			GV_HMI1_LAMP = 1;
			break;
		case 2:
			GV_HMI1_LAMP = 2;
			break;
		case 3:
			GV_HMI1_LAMP = 3;
			break;
		default:
			break;
	}
}

void Lamp_HMI2_CMD(int x)
{
	switch(x)
	{
		case 0:
			GV_HMI2_LAMP = 0;
			break;
		case 1:
			GV_HMI2_LAMP = 1;
			break;
		case 2:
			GV_HMI2_LAMP = 2;
			break;
		case 3:
			GV_HMI2_LAMP = 3;
			break;
	}
}

void Lamp_HMI3_CMD(int x)
{
	switch(x)
	{
		case 0:
			GV_HMI3_LAMP = 0;
			break;
		case 1:
			GV_HMI3_LAMP = 1;
			break;
		case 2:
			GV_HMI3_LAMP = 2;
			break;
		case 3:
			GV_HMI3_LAMP = 3;
			break;
	}
}

void Lamp_HMI4_CMD(int x)
{
	switch(x)
	{
		case 0:
			GV_HMI4_LAMP = 0;
			break;
		case 1:
			GV_HMI4_LAMP = 1;
			break;
		case 2:
			GV_HMI4_LAMP = 2;
			break;
		case 3:
			GV_HMI4_LAMP = 3;
			break;
	}
}

void Lamp_HMI5_CMD(int x)
{
	switch(x)
	{
		case 0:
			GV_HMI5_LAMP = 0;
			break;
		case 1:
			GV_HMI5_LAMP = 1;
			break;
		case 2:
			GV_HMI5_LAMP = 2;
			break;
		case 3:
			GV_HMI5_LAMP = 3;
			break;
	}
}


